<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Timeline', function(Blueprint $table) {
			$table->foreign('channel_id')->references('id')->on('Channel')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Timeline', function(Blueprint $table) {
			$table->foreign('call_id')->references('id')->on('Call')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('actions_channels', function(Blueprint $table) {
			$table->foreign('action_id')->references('id')->on('actions_channels')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('actions_channels', function(Blueprint $table) {
			$table->foreign('channel_id')->references('id')->on('Channel')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('Timeline', function(Blueprint $table) {
			$table->dropForeign('Timeline_channel_id_foreign');
		});
		Schema::table('Timeline', function(Blueprint $table) {
			$table->dropForeign('Timeline_call_id_foreign');
		});
		Schema::table('actions_channels', function(Blueprint $table) {
			$table->dropForeign('actions_channels_action_id_foreign');
		});
		Schema::table('actions_channels', function(Blueprint $table) {
			$table->dropForeign('actions_channels_channel_id_foreign');
		});
	}
}